{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}{% endblock %}</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/styles.css' %}">

</head>

<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}




                <style>
                    /* Style The Dropdown Button */
                    .dropbtn {
                        background-color: #3b33a7;
                        color: white;
                        padding: 16px;
                        font-size: 16px;
                        border: none;
                        cursor: pointer;
                        border-radius: 15px;
                    }

                    /* The container <div> - needed to position the dropdown content */
                    .dropdown {
                        position: relative;
                        display: inline-block;
                    }

                    /* Dropdown Content (Hidden by Default) */
                    .dropdown-content {
                        display: none;
                        position: absolute;
                        background-color: #f9f9f9;
                        min-width: 160px;
                        box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
                        z-index: 1;
                        border-radius: 15px;

                    }

                    /* Links inside the dropdown */
                    .dropdown-content a {
                        color: black;
                        padding: 12px 16px;
                        text-decoration: none;
                        display: block;
                        border-radius: 15px;

                    }

                    /* Change color of dropdown links on hover */
                    .dropdown-content a:hover {
                        background-color: #dbd2d2
                    }

                    /* Show the dropdown menu on hover */
                    .dropdown:hover .dropdown-content {
                        display: block;
                    }

                    /* Change the background color of the dropdown button when the dropdown content is shown */
                    .dropdown:hover .dropbtn {
                        background-color: #3b33a7;
                    }
                </style>

                <div class="dropdown">
                    <button class="dropbtn">Navigation</button>
                    <div class="dropdown-content">
                        <li><a href="{% url 'show_my_tasks' %}">My tasks</a></li>
                        <li><a href="{% url 'list_projects' %}">My projects</a></li>
                        <li><a href="{% url 'logout' %}">logout</a></li>
                    </div>
                </div>











                <!-- <li><a href="{% url 'show_my_tasks' %}">My tasks</a></li>
                <li><a href="{% url 'list_projects' %}">My projects</a></li>
                <li><a href="{% url 'logout' %}">logout</a></li> -->
                {% else %}
                <!-- <li><a href="{% url 'login' %}">Login</a></li> -->
                <li><a href="{% url 'signup' %}">Signup</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    {% block content %}
    {% endblock %}
    <footer>
        Ashcraft Developments LLC
    </footer>
</body>

</html>